/* CSS Resets */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}

/* Common Styles */
body {
    font-size: 16px;
    font-family: 'Saira Semi Condensed', sans-serif;
    color: #1E1B18;
}
.float-left {
    float: left;
}
.float-right {
    float: right;
}
.clearfix:after {
    content: '';
    display: block;
    clear: both;
}
.button-1 {
    text-decoration: none;
    color: #1E1B18;
    border: 2px solid #1E1B18;
    border-radius: 5px;
    padding: 0 20px;
    line-height: 40px;
    display: inline-block;
    font-size: 18px;
    -webkit-transition: background-color .3s ease-out, color .3s ease-out;
    -moz-transition: background-color .3s ease-out, color .3s ease-out;
    -o-transition: background-color .3s ease-out, color .3s ease-out;
    transition: background-color .3s ease-out, color .3s ease-out;
}
.button-1:hover {
    background-color: #1E1B18;
    color: #F44336;
}

/* Main Styles */
.left-section {
    width: 50%;
    height: 100%;
    background-color: #F44336;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    -webkit-transition: background-color 0.5s ease;
    -moz-transition: background-color 0.5s ease;
    -o-transition: background-color 0.5s ease;
    transition: background-color 0.5s ease;
    -webkit-box-shadow: 16px 0 26px -10px rgba(244, 67, 54, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(244, 67, 54, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(244, 67, 54, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(244, 67, 54, 0.2);
    box-shadow: 16px 0 26px -10px rgba(244, 67, 54, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(244, 67, 54, 0.2);
}
.right-section {
    width: 50%;
    float: right;
    padding: 50px 0;
}
.left-section > div:not(:last-child) {
    margin-bottom: 20px;
}
.profile-image {
    height: 200px;
    width: 200px;
    background-image: url("/?originalUrl=https%3A%2F%2Fbilalshareef.github.io%2Fimages%2Fbilal.png");
    background-color: #1E1B18;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 50%;
    border: 2px solid #1E1B18;
    cursor: pointer;
    -webkit-transition: transform 0.2s ease;
    -moz-transition: transform 0.2s ease;
    -o-transition: transform 0.2s ease;
    transition: transform 0.2s ease;
    -webkit-tap-highlight-color: transparent;
}
.profile-image:active {
    transform: scale(0.9, 0.9);
}
.social-icons-wrap a {
    text-decoration: none;
    color: #1E1B18;
    font-size: 36px;
    display: inline-block;
    margin-right: 10px;
}
.social-icons-wrap a:last-child {
    margin-right: 0;
}
.profile-name {
    font-size: 24px;
}
.profile-description {
    font-size: 24px;
}
.details-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 30px;
}
.details-section:last-child {
    margin-bottom: 0;
}
.detail-title {
    width: 20%;
}
.detail-title h3 {
    color: #F44336;
    font-size: 20px;
    font-weight: 600;
    line-height: 30px;
}
.detail-content {
    width: 70%;
}
.detail-content.center-content {
    display: flex;
    align-items: center;
}
.detail-content p {
    font-size: 16px;
    line-height: 26px;
}
.detail-content ul {
    list-style: disc;
    margin-left: 20px;
    line-height: 26px;
}
.detail-content ul li {
    color: #F44336;
}
.detail-content ul li span, .detail-content ul li a {
    color: #1E1B18;
    font-weight: 600;
}
.detail-content ul li a {
    text-decoration: none;
}
.sub-detail {
    margin-bottom: 20px;
}
.sub-detail:last-child {
    margin-bottom: 0;
}
.sub-detail-title span, .sub-detail-title div {
    font-weight: 600;
    line-height: 26px;
}
.detail-content p a, .sub-detail-title span a {
    text-decoration: none;
    color: #1E1B18;
}

/* Themes Styles */
/* Theme Red */
.theme-red .button-1:hover,
.theme-red .detail-title h3,
.theme-red .detail-content ul li,
.theme-red .detail-content p a:hover,
.theme-red .detail-content ul li a:hover,
.theme-red .sub-detail-title span a:hover {
    color: #F44336;
}
.theme-red .left-section {
    background-color: #F44336;
    -webkit-box-shadow: 16px 0 26px -10px rgba(244, 67, 54, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(244, 67, 54, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(244, 67, 54, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(244, 67, 54, 0.2);
    box-shadow: 16px 0 26px -10px rgba(244, 67, 54, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(244, 67, 54, 0.2);
}

/* Theme Green */
.theme-green .button-1:hover,
.theme-green .detail-title h3,
.theme-green .detail-content ul li,
.theme-green .detail-content p a:hover,
.theme-green .detail-content ul li a:hover,
.theme-green .sub-detail-title span a:hover {
    color: #4CAF50;
}
.theme-green .left-section {
    background-color: #4CAF50;
    -webkit-box-shadow: 16px 0 26px -10px rgba(76, 175, 80, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(76, 175, 80, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(76, 175, 80, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(76, 175, 80, 0.2);
    box-shadow: 16px 0 26px -10px rgba(76, 175, 80, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(76, 175, 80, 0.2);
}

/* Theme Blue */
.theme-blue .button-1:hover,
.theme-blue .detail-title h3,
.theme-blue .detail-content ul li,
.theme-blue .detail-content p a:hover,
.theme-blue .detail-content ul li a:hover,
.theme-blue .sub-detail-title span a:hover {
    color: #2196F3;
}
.theme-blue .left-section {
    background-color: #2196F3;
    -webkit-box-shadow: 16px 0 26px -10px rgba(33, 150, 243, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(33, 150, 243, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(33, 150, 243, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(33, 150, 243, 0.2);
    box-shadow: 16px 0 26px -10px rgba(33, 150, 243, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(33, 150, 243, 0.2);
}

/* Theme Brown */
.theme-brown .button-1:hover,
.theme-brown .detail-title h3,
.theme-brown .detail-content ul li,
.theme-brown .detail-content p a:hover,
.theme-brown .detail-content ul li a:hover,
.theme-brown .sub-detail-title span a:hover {
    color: #795548;
}
.theme-brown .left-section {
    background-color: #795548;
    -webkit-box-shadow: 16px 0 26px -10px rgba(121, 85, 72, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(121, 85, 72, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(121, 85, 72, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(121, 85, 72, 0.2);
    box-shadow: 16px 0 26px -10px rgba(121, 85, 72, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(121, 85, 72, 0.2);
}

/* Theme Purple */
.theme-purple .button-1:hover,
.theme-purple .detail-title h3,
.theme-purple .detail-content ul li,
.theme-purple .detail-content p a:hover,
.theme-purple .detail-content ul li a:hover,
.theme-purple .sub-detail-title span a:hover {
    color: #9C27B0;
}
.theme-purple .left-section {
    background-color: #9C27B0;
    -webkit-box-shadow: 16px 0 26px -10px rgba(156, 39, 176, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(156, 39, 176, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(156, 39, 176, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(156, 39, 176, 0.2);
    box-shadow: 16px 0 26px -10px rgba(156, 39, 176, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(156, 39, 176, 0.2);
}

/* Theme Orange */
.theme-orange .button-1:hover,
.theme-orange .detail-title h3,
.theme-orange .detail-content ul li,
.theme-orange .detail-content p a:hover,
.theme-orange .detail-content ul li a:hover,
.theme-orange .sub-detail-title span a:hover {
    color: #FF9800;
}
.theme-orange .left-section {
    background-color: #FF9800;
    -webkit-box-shadow: 16px 0 26px -10px rgba(255, 152, 0, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(255, 152, 0, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(255, 152, 0, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(255, 152, 0, 0.2);
    box-shadow: 16px 0 26px -10px rgba(255, 152, 0, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(255, 152, 0, 0.2);
}

/* Theme Indigo */
.theme-indigo .button-1:hover,
.theme-indigo .detail-title h3,
.theme-indigo .detail-content ul li,
.theme-indigo .detail-content p a:hover,
.theme-indigo .detail-content ul li a:hover,
.theme-indigo .sub-detail-title span a:hover {
    color: #3F51B5;
}
.theme-indigo .left-section {
    background-color: #3F51B5;
    -webkit-box-shadow: 16px 0 26px -10px rgba(63, 81, 181, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(63, 81, 181, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(63, 81, 181, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(63, 81, 181, 0.2);
    box-shadow: 16px 0 26px -10px rgba(63, 81, 181, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(63, 81, 181, 0.2);
}

/* Theme Cyan */
.theme-cyan .button-1:hover,
.theme-cyan .detail-title h3,
.theme-cyan .detail-content ul li,
.theme-cyan .detail-content p a:hover,
.theme-cyan .detail-content ul li a:hover,
.theme-cyan .sub-detail-title span a:hover {
    color: #00BCD4;
}
.theme-cyan .left-section {
    background-color: #00BCD4;
    -webkit-box-shadow: 16px 0 26px -10px rgba(0, 188, 212, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(0, 188, 212, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(0, 188, 212, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(0, 188, 212, 0.2);
    box-shadow: 16px 0 26px -10px rgba(0, 188, 212, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(0, 188, 212, 0.2);
}

/* Theme Teal */
.theme-teal .button-1:hover,
.theme-teal .detail-title h3,
.theme-teal .detail-content ul li,
.theme-teal .detail-content p a:hover,
.theme-teal .detail-content ul li a:hover,
.theme-teal .sub-detail-title span a:hover {
    color: #009688;
}
.theme-teal .left-section {
    background-color: #009688;
    -webkit-box-shadow: 16px 0 26px -10px rgba(0, 150, 136, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(0, 150, 136, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(0, 150, 136, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(0, 150, 136, 0.2);
    box-shadow: 16px 0 26px -10px rgba(0, 150, 136, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(0, 150, 136, 0.2);
}

/* Theme Grey */
.theme-grey .button-1:hover,
.theme-grey .detail-title h3,
.theme-grey .detail-content ul li,
.theme-grey .detail-content p a:hover,
.theme-grey .detail-content ul li a:hover,
.theme-grey .sub-detail-title span a:hover {
    color: #9E9E9E;
}
.theme-grey .left-section {
    background-color: #9E9E9E;
    -webkit-box-shadow: 16px 0 26px -10px rgba(158, 158, 158, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(158, 158, 158, 0.2);
    -moz-box-shadow: 16px 0 26px -10px rgba(158, 158, 158, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(158, 158, 158, 0.2);
    box-shadow: 16px 0 26px -10px rgba(158, 158, 158, 0.56), 4px 0 25px 0px rgba(0, 0, 0, 0.12), 8px 0 10px -5px rgba(158, 158, 158, 0.2);
}

@media only screen and (min-width: 601px) and (max-width: 1000px), only screen and (max-width: 500px) {
    .details-section {
        display: block;
        margin-left: 30px;
        margin-right: 30px;
    }
    .detail-title, .detail-content {
        width: auto;
    }
    .detail-title {
        margin-bottom: 10px;
    }
    .detail-content ul {
        margin-left: 60px;
    }
}

@media only screen and (max-width: 800px) {
    .profile-image {
        width: 150px;
        height: 150px;
    }
    .left-section > div:not(:last-child) {
        margin-bottom: 15px;
    }
}

@media only screen and (min-width: 601px) and (max-width: 800px), only screen and (max-width: 400px) {
    .sub-detail-title span {
        float: none;
        display: block;
    }
}

@media only screen and (max-width: 600px) {
    .left-section {
        position: static;
        width: auto;
        height: auto;
        padding: 20px 0;
    }
    .right-section {
        width: auto;
        float: none;
    }

    /* Responsive Themes Styles */
    /* Theme Red */
    .theme-red .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(244, 67, 54, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(244, 67, 54, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(244, 67, 54, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(244, 67, 54, 0.2);
        box-shadow: 0 16px 26px -10px rgba(244, 67, 54, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(244, 67, 54, 0.2);
    }

    /* Theme Green */
    .theme-green .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(76, 175, 80, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(76, 175, 80, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(76, 175, 80, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(76, 175, 80, 0.2);
        box-shadow: 0 16px 26px -10px rgba(76, 175, 80, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(76, 175, 80, 0.2);
    }

    /* Theme Blue */
    .theme-blue .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(33, 150, 243, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(33, 150, 243, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(33, 150, 243, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(33, 150, 243, 0.2);
        box-shadow: 0 16px 26px -10px rgba(33, 150, 243, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(33, 150, 243, 0.2);
    }

    /* Theme Brown */
    .theme-brown .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(121, 85, 72, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(121, 85, 72, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(121, 85, 72, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(121, 85, 72, 0.2);
        box-shadow: 0 16px 26px -10px rgba(121, 85, 72, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(121, 85, 72, 0.2);
    }

    /* Theme Purple */
    .theme-purple .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(156, 39, 176, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(156, 39, 176, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(156, 39, 176, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(156, 39, 176, 0.2);
        box-shadow: 0 16px 26px -10px rgba(156, 39, 176, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(156, 39, 176, 0.2);
    }

    /* Theme Orange */
    .theme-orange .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(255, 152, 0, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(255, 152, 0, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(255, 152, 0, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(255, 152, 0, 0.2);
        box-shadow: 0 16px 26px -10px rgba(255, 152, 0, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(255, 152, 0, 0.2);
    }

    /* Theme Indigo */
    .theme-indigo .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(63, 81, 181, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(63, 81, 181, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(63, 81, 181, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(63, 81, 181, 0.2);
        box-shadow: 0 16px 26px -10px rgba(63, 81, 181, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(63, 81, 181, 0.2);
    }

    /* Theme Cyan */
    .theme-cyan .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(0, 188, 212, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 188, 212, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(0, 188, 212, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 188, 212, 0.2);
        box-shadow: 0 16px 26px -10px rgba(0, 188, 212, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 188, 212, 0.2);
    }

    /* Theme Teal */
    .theme-teal .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(0, 150, 136, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 150, 136, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(0, 150, 136, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 150, 136, 0.2);
        box-shadow: 0 16px 26px -10px rgba(0, 150, 136, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 150, 136, 0.2);
    }

    /* Theme Grey */
    .theme-grey .left-section {
        -webkit-box-shadow: 0 16px 26px -10px rgba(158, 158, 158, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(158, 158, 158, 0.2);
        -moz-box-shadow: 0 16px 26px -10px rgba(158, 158, 158, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(158, 158, 158, 0.2);
        box-shadow: 0 16px 26px -10px rgba(158, 158, 158, 0.56), 0 4px 25px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(158, 158, 158, 0.2);
    }
}
